## org.eclipse.emf.cdo.common.id
Interface CDOIDObjectFactory

All Known Subinterfaces:
  InternalCDOSession

All Known Implementing Classes:
  CDOIDLongFactoryImpl

    public interface CDOIDObjectFactory

Method Summary
`CDOIDObject` `createCDOIDObject(org.eclipse.net4j.util.io.ExtendedDataInput in)` Returns a new instance of CDOIDObject.
`CDOIDObject` `createCDOIDObject(java.lang.String fragmentPart)` Returns a new instance of CDOIDObject.

Method Detail

### createCDOIDObject

    CDOIDObject createCDOIDObject(org.eclipse.net4j.util.io.ExtendedDataInput in)

  Returns a new instance of CDOIDObject. The implementor of this method may use (read from) the given data input to determine which class to instantiate. The data input must not be used to fill the state of the new instance, this has to be done in the implementation of the `read()` method of the new instance.

### createCDOIDObject

    CDOIDObject createCDOIDObject(java.lang.String fragmentPart)

  Returns a new instance of CDOIDObject. This implementation is different from `createCDOIDObject(ExtendedDataInput)` since the implementor of this method needs to construct a complete CDOIDObject from the given string.

  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.